Page 1 of 1

0.4.4 How to run?

PostPosted: Sun Dec 02, 2012 05:09
by Aqua
Whenever I try to run 0.4.4 minetest-game-master on my windows xp it gives me this:

16:12:11: ERROR[main]: ServerError: LuaError: error: ....\games\minetest_game-master\mods\default/player.lua:78: attempt to call method 'get_player_control' (a nil value)


Does 0.4.4 work on windows?

PostPosted: Sun Dec 02, 2012 05:58
by Calinou
There is no official Windows build, which one are you using?

PostPosted: Sun Dec 02, 2012 06:32
by Aqua
Which one of what? OS? Version?

PostPosted: Sun Dec 02, 2012 06:53
by dannydark
0.4.4 works fine for me on windows, make sure you have the latest versions of both minetest and minetest_game, the error your getting might suggest that you don't have the latest version of minetest (engine).

You will need to compile it yourself though as there is no official build released yet for 0.4.4 like Calinou said, However, I think sfan5 or maybe thexyz may have an already compiled version of the latest source, it might be worth having a look in the irc logs or giving one of them a shout if you don't want to compile yourself.